eax ? 10 != ebx	; Compares eax with 10, when eax is NOT 10, then eax will be ebx (cmove)
eax ? 10 == ebx	; Compares eax with 10, when eax IS 10, then eax will be ebx (cmovne)
eax ? 10 > ebx	; Compares eax with 10, when eax is ABOVE 10, then eax will be ebx (cmova)
eax ? 10 >= ebx	; Compares eax with 10, when eax is ABOVE OR EQUAL 10, then eax will be ebx (cmovae)
eax ? 10 < ebx	; Compares eax with 10, when eax is BELOW 10, then eax will be ebx (cmovb)
eax ? 10 <= ebx	; Compares eax with 10, when eax is BELOW OR EQUAL 10, then eax will be ebx (cmovbe)

eax zf ebx		; eax will be ebx, when the zeroflag IS set (cmovz)
eax !zf ebx		; eax will be ebx, when the zeroflag is NOT set (cmovnz)
eax cf ebx		; eax will be ebx, when the carryflag IS set (cmovc)
eax !cf ebx		; eax will be ebx, when the carryflag is NOT set (cmovnc)
eax sf ebx		; eax will be ebx, when the signflag IS set (cmovs)
eax !sf ebx		; eax will be ebx, when the signflag is NOT set (cmovns)
eax of ebx		; eax will be ebx, when the overflowflag IS set (cmovo)
eax !of ebx		; eax will be ebx, when the overflowflag is NOT set (cmovno)
eax pf ebx		; eax will be ebx, when the parityflag IS set (cmovp)
eax !pf ebx		; eax will be ebx, when the parityflag is NOT set (cmovnp)

; ##################################################################################################

al ? 10 != 1	; Compares al with 10, when al is NOT 10, then eax will be 1 (setne)
al ? 10 != 0	; Compares al with 10, when al is NOT 10, then eax will be 0 (sete)
al ? 10 == 1	; Compares al with 10, when al IS 10, then eax will be 1 (sete)
al ? 10 == 0	; Compares al with 10, when al IS 10, then eax will be 0 (setne)
; ... (like cmov)

; Works like cmov (look above), but only with 8bit registers and only with either "1" or "0"