jmp (				; Jump to the end of the block
	eax = 4 + ebx	; This line won't be executed
)

jmp eax != 10 (		; Jump to the end of the block, when eax is NOT 10 (cmp, jne)
	eax = 12
)

; #############################################################################################

do (
	ecx++
)					; Jump to the start of the block (jmp, not loop)

do (
	ecx--
) jmp !zf			; Jump to the start of the block, when the zeroflag is NOT set (jnz)

; #############################################################################################

jmp (				; Jump to the end of the block
	eax + 4
) jmp cf			; Jump to the start of the block, when the carryflag is set (jc)

jmp eax = 10 (		; Jump to the end of the block, when eax is 10 (cmp, je)
	eax ++
) jmp ecx = 0		; Jump to the start of the block, when ecx is 0 (jecxz)

; #############################################################################################

jmpto label			; Direct jump to a label
eax = 5 + 5
label:

eax ? 10			; Compare eax with 10 (cmp)
jmpeto label		; Direct jump to a label, when eax = 10 (je)
eax = 10
label: