; Globals are automatically appended at the end of the code (data section), those values are represent in the binary file
global byte test8 = 0xFF					; 8bit  value
global word test16 = 0xFFFF					; 16bit value
global dword test32	= 0xFFFFFFFF			; 32bit value
global qword test64	= 0xFFFFFFFFFFFFFFFF	; 64bit value
global long test32_2 = 0xFFFFFFFF			; 32bit value
global quad test64_2 = 0xFFFFFFFFFFFFFFFF	; 64bit value
global string hello = "Hello World\n"		; Zeroterminated string
global ascii hello2 = "Hello World\n"		; Nonterminated string

; Globals without an assigned constant are created in the bss section AFTER the data section, those values are NOT represent in the binary file
global byte testbss

; You can create arrays aswell
global byte array(100)						; 100x byte in the bss section
global byte array(100) = 42					; 100x byte in the data section, each assigned with "42"

; You can define an address where a variable is defined
global byte vgamemory @0xB8000				; Be sure to not add a constant here!

; ############################################################

byte 0x00				; This is NOT appended at the end of the code, instead it is added to the current position in the binary
word 0x0000
long 0x00000000
quad 0x0000000000000000

times 100 byte 42		; Adds 100 bytes, each with the value "42", to the current position in the binary