'	- global long pagetable(1024) align 4096 
'		-> align = die nächste Adresse die durch 4096 teilbar ist! Rest mit Nullen füllen oder so

#include once "alex-macros.bi"

local varchar datei, optionen, cmd

cmd = command

if cmd = "--help" then
	print "Bier-Assembler v0.1"
	print "Usage: asm [OPTION...] FILE"
	print 
	print " --help      display this help and exit"
	print " -a          do not assemble or link (preserves 'tmp_.s' file)"
	print " -l          do not link (preserves 'tmp_.o' file)"
	print " -h          adds linux related code to create a working ELF executable"
	end
end if

local uint8 cmodus

for i in(0,len(cmd)-1)
	select case as const cmd[i]
		case asc("-")
			cmodus = 1	'Optionen
		case &h20,&h9
			cmodus = 0	'Datei
		case else
			if cmodus = 1 then
				optionen += chr(cmd[i])
			else
				datei += chr(cmd[i])
			end if
	end select
next

enum BLOCK_TYPEN
	C_JMP = 1, C_DO, C_FUNC
end enum

global uint8 block_position, block_typ(&hFF)
global uint32 label, block_label(&hFF)
global uint8 infunc

class t_Func
	varchar name
	varchar parameter(16)
end class

class t_Struct
	varchar name
	uint32 groesse
end class

global as t_Func Func(1000)
global as t_Struct Struct(1000)
global uint32 func_i, label_vars_i, bss, struct_i
global uint8 mode = 64

local varchar lin, ziel, par, befehl, vars, funcs, org, label_vars

var ff = freefile
open datei for input as #ff
var of = freefile
open "tmp__.asm" for output as #of
do
	line input #ff,lin
	lin = mid(lin,1,instr(lin,";")-1)
	lin = trim(lin,chr(&h9))
	lin = trim(lin,chr(&h20))
	if len(lin) > 0 then
		befehl = mid(lin,1,instr(lin,chr(&h20))-1)
		select case befehl
			case "#include"
				lin = mid(lin,instr(lin,chr(34))+1)
				lin = mid(lin,1,instr(lin,chr(34))-1)
				var ff2 = freefile
				open lin for input as #ff2
				do
					line input #ff2,lin
					print #of,lin
				loop until eof(ff2)
				close #ff2
			case "#org" : org = mid(lin,instr(lin,chr(&h20))+1)
			case else : print #of,lin
		end select
	end if
loop until eof(ff)
close #of
close #ff

ff = freefile
open "tmp__.asm" for input as #ff
of = freefile
open "tmp_.asm" for output as #of
do
	line input #ff,lin
	lin = mid(lin,1,instr(lin,";")-1)
	lin = trim(lin,chr(&h9))
	lin = trim(lin,chr(&h20))
	if len(lin) > 0 then
		befehl = mid(lin,1,instr(lin,chr(&h20))-1)
		select case befehl
			case "func"
				print #of,lin
				local varchar funcname
				lin = mid(lin,instr(lin,chr(&h20))+1)
				funcname = mid(lin,1,instr(lin,"(")-1)
				funcname = trim(funcname,chr(&h20))
				Func(func_i).name = funcname

				lin = mid(lin,instr(lin,"(")+1)
				local uint8 func_i2
				local varchar func_par_name
				for i in (0,len(lin))
					select case as const lin[i]
						case &h61 to &h7A : func_par_name += chr(lin[i])
						case asc(","),asc(")")
							Func(func_i).parameter(func_i2) = func_par_name
							func_i2 += 1
							func_par_name = ""
							if lin[i] = asc(")") then exit for
					end select
				next
				func_i += 1
			case "call"
				befehl = mid(lin,1,instr(lin,"(")-1)
				lin = mid(lin,instr(lin,"(")+1)
				par = ""
				ziel = ""
				ziel = mid(befehl,instr(befehl,chr(&h20))+1)
				local uint8 par_i
				local uint32 func_it
				for i in(0,func_i)
					if ziel = Func(i).name then
						func_it = i
						exit for
					end if
				next				

				for i in(0,len(lin))
					select case as const lin[i]
						case asc(","),asc(")")
							if par = "" or par = " " then

							else
								if par[0]=asc("@") then
									if par[1]=34 then
										label_vars += "const"+str(label_vars_i)+": .string "+mid(par,2)
										par = "const"+str(label_vars_i)
										label_vars_i += 1
									end if
								end if
								print #of,Func(func_it).parameter(par_i)+" = "+par
							end if
							if lin[i] = asc(")") then exit for
							par = ""
							par_i += 1
						case else : par += chr(lin[i])
					end select
				next
				print #of,befehl
			case "jmp"
				lin = mid (lin,instr(lin,chr(&h20))+1)
				lin = mid (lin,1,instrrev(lin,"(")-1)
				befehl = "" : par = "" : ziel = ""
				local uint8 s
				for i in(0,len(lin)-1)
					select case as const lin[i]
						case &h21,&h3C to &h3E
							befehl += chr(lin[i])
							s = 2
						case else
							if s = 2 then
								par += chr(lin[i])
							else
								ziel += chr(lin[i])
							end if
					end select
				next
				print #of,ziel+" ? "+par
				select case befehl
					case "=" : print #of,"je ("
					case "!=" : print #of,"jne ("
					case ">" : print #of,"ja ("
					case "<" : print #of,"jb ("
					case ">=" : print #of,"jae ("
					case "<=" : print #of,"jbe ("
				end select
			case else : print #of,lin
		end select
	end if
loop until eof(ff)
close #of
close #ff

befehl = "" : par = "" : ziel = ""

' // Zweiter Durchlauf

ff = freefile
open "tmp_.asm" for input as #ff
of = freefile
open "tmp_.s" for output as #of

if instr(optionen,"h") then
	print #of,!".globl _start\n_start:"
end if
print #of,!".text\n"

do
	line input #ff,lin
	lin = mid(lin,1,instr(lin,";")-1)
	lin = trim(lin,chr(&h9))
	lin = trim(lin,chr(&h20))
	if len(lin) > 0 then
		ziel = ""

		local uint8 inklammer, ziel_i, groesse
		local uint32 times = 1
		local varchar ziel_reg(6)

		if lin = "cf=1" or lin = "cf = 1" then
			if infunc = 1 then : funcs += !"stc\n"
			else : print #of,"stc"
			end if
			continue do
		elseif lin = "cf=0" or lin = "cf = 0" then
			if infunc = 1 then : funcs += !"clc\n"
			else : print #of,"clc"
			end if
			continue do
		elseif lin = "df=1" or lin = "df = 1" then
			if infunc = 1 then : funcs += !"std\n"
			else : print #of,"std"
			end if
			continue do
		elseif lin = "df=0" or lin = "df = 0" then
			if infunc = 1 then : funcs += !"cld\n"
			else : print #of,"cld"
			end if
			continue do
		elseif lin = "if=1" or lin = "if = 1" then
			if infunc = 1 then : funcs += !"sti\n"
			else : print #of,"sti"
			end if
			continue do
		elseif lin = "if=0" or lin = "if = 0" then
			if infunc = 1 then : funcs += !"cli\n"
			else : print #of,"cli"
			end if
			continue do
		end if

		for i in(0,len(lin))
			select case as const lin[i]
				case &h41 to &h5A, &h5F, &h61 to &h7A, &h30 to &h39
					ziel_reg(ziel_i) += chr(lin[i])
				case &h28 
					ziel_i += 2
					ziel_reg(ziel_i-1) += chr(lin[i])
					inklammer = 1
				case &h3A
					ziel_i += 2
					ziel_reg(ziel_i-1) += chr(lin[i])
				case &h29
					inklammer = 0
				case else
					if inklammer = 1 then
						ziel_i += 2
						ziel_reg(ziel_i-1) += chr(lin[i])
					else
						exit for
					end if
			end select
			ziel += chr(lin[i])
		next

		lin = mid(lin,len(ziel)+1) : lin = trim(lin,chr(&h9)) : lin = trim(lin,chr(&h20))
		if ziel = "times" then
			times = val(mid(lin,1,instr(lin,chr(&h20))-1))
			ziel = mid(lin,instr(lin,chr(&h20))+1)
			ziel = mid(ziel,1,instr(ziel,chr(&h20))-1)
			lin = mid(lin,len(ziel)+1)
			lin = mid(lin,instr(lin,chr(&h20))+1)
			lin = trim(lin,chr(&h9)) : lin = trim(lin,chr(&h20))
		end if

		for i in (0,times-1)
			select case ziel
				case "jmpto"
					if infunc = 1 then : funcs +=  "jmp 	"+lin+!"\n"
					else : print #of,"jmp 	"+lin
					end if 
					continue do
				case "jeto"
					if infunc = 1 then : funcs +=  "je 	"+lin+!"\n"
					else : print #of,"je	"+lin
					end if 
					continue do
				case "jneto"
					if infunc = 1 then : funcs +=  "jne 	"+lin+!"\n"
					else : print #of,"jne	"+lin
					end if 
					continue do
				case "jato"
					if infunc = 1 then : funcs +=  "ja 	"+lin+!"\n"
					else : print #of,"ja	"+lin
					end if 
					continue do
				case "jbto"
					if infunc = 1 then : funcs +=  "jb 	"+lin+!"\n"
					else : print #of,"jb	"+lin
					end if 
					continue do
				case "jaeto"
					if infunc = 1 then : funcs +=  "jae 	"+lin+!"\n"
					else : print #of,"jae	"+lin
					end if 
					continue do
				case "jbeto"
					if infunc = 1 then : funcs +=  "jbe 	"+lin+!"\n"
					else : print #of,"jbe	"+lin
					end if 
					continue do
				case "jlto"
					if infunc = 1 then : funcs +=  "jl 	"+lin+!"\n"
					else : print #of,"jl	"+lin
					end if 
					continue do
				case "jgto"
					if infunc = 1 then : funcs +=  "jg 	"+lin+!"\n"
					else : print #of,"jg	"+lin
					end if 
					continue do
				case "jleto"
					if infunc = 1 then : funcs +=  "jle 	"+lin+!"\n"
					else : print #of,"jle	"+lin
					end if 
					continue do
				case "jgeto"
					if infunc = 1 then : funcs +=  "jge 	"+lin+!"\n"
					else : print #of,"jge	"+lin
					end if 
					continue do
				case "jzto"
					if infunc = 1 then : funcs +=  "jz 	"+lin+!"\n"
					else : print #of,"jz	"+lin
					end if 
					continue do
				case "jnzto"
					if infunc = 1 then : funcs +=  "jnz 	"+lin+!"\n"
					else : print #of,"jnz	"+lin
					end if 
					continue do
				case "jcto"
					if infunc = 1 then : funcs +=  "jc 	"+lin+!"\n"
					else : print #of,"jc	"+lin
					end if 
					continue do
				case "jncto"
					if infunc = 1 then : funcs +=  "jnc 	"+lin+!"\n"
					else : print #of,"jnc	"+lin
					end if 
					continue do
				case "joto"
					if infunc = 1 then : funcs +=  "jo 	"+lin+!"\n"
					else : print #of,"jo	"+lin
					end if 
					continue do
				case "jnoto"
					if infunc = 1 then : funcs +=  "jno 	"+lin+!"\n"
					else : print #of,"jno	"+lin
					end if 
					continue do

				case "jmp"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if lin = "(" then 
						if infunc = 1 then : funcs += "jmp 	labelE"+str(block_label(block_position))+!"\n"
						else : print #of,"jmp 	labelE"+str(block_label(block_position))
						end if
					else
						par = ""
						for i in(0,len(lin))
							if lin[i] = asc(",") or lin[i] = asc("(") then 
								par = trim(par,chr(&h20))
								select case par
									case "zf" 
										if infunc = 1 then : funcs += "jz 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jz 		labelE"+str(block_label(block_position))
										end if
									case "!zf"
										if infunc = 1 then : funcs += "jnz 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jnz 		labelE"+str(block_label(block_position))
										end if
									case "cf" 
										if infunc = 1 then : funcs += "jc 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jc 		labelE"+str(block_label(block_position))
										end if
									case "!cf"
										if infunc = 1 then : funcs += "jnc 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jnc 		labelE"+str(block_label(block_position))
										end if
									case "sf"
										if infunc = 1 then : funcs += "js 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"js 		labelE"+str(block_label(block_position))
										end if
									case "!sf"
										if infunc = 1 then : funcs += "jns 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jns 		labelE"+str(block_label(block_position))
										end if
									case "of"
										if infunc = 1 then : funcs += "jo		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jo 		labelE"+str(block_label(block_position))
										end if
									case "!of"
										if infunc = 1 then : funcs += "jno 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jno 		labelE"+str(block_label(block_position))
										end if
									case "pf"
										if infunc = 1 then : funcs += "jp 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jp 		labelE"+str(block_label(block_position))
										end if
									case "!pf"
										if infunc = 1 then : funcs += "jnp 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jnp 		labelE"+str(block_label(block_position))
										end if
									case "sf = of","sf=of"
										if infunc = 1 then : funcs += "jge 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jge 		labelE"+str(block_label(block_position))
										end if
									case "sf != of","sf!=of"
										if infunc = 1 then : funcs += "jl 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jl 		labelE"+str(block_label(block_position))
										end if
									case "rcx = 0","rcx=0","ecx = 0","ecx=0","cx = 0","cx = 0","rcx","ecx","cx"
										if infunc = 1 then : funcs += "jecxz 		labelE"+str(block_label(block_position))+!"\n"
										else : print #of,"jecxz 		labelE"+str(block_label(block_position))
										end if
								end select
								par = ""
								if lin[i] = asc("(") then exit for
							else
								par += chr(lin[i])
							end if
						next
						lin = ""
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1
				case "je"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if infunc = 1 then : funcs += "je 	labelE"+str(block_label(block_position))+!"\n"
					else : print #of,"je 	labelE"+str(block_label(block_position))
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1
				case "jne"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if infunc = 1 then : funcs += "jne 	labelE"+str(block_label(block_position))+!"\n"
					else : print #of,"jne 	labelE"+str(block_label(block_position))
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1
				case "ja"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if infunc = 1 then : funcs += "ja 	labelE"+str(block_label(block_position))+!"\n"
					else : print #of,"ja 	labelE"+str(block_label(block_position))
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1
				case "jb"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if infunc = 1 then : funcs += "jb 	labelE"+str(block_label(block_position))+!"\n"
					else : print #of,"jb 	labelE"+str(block_label(block_position))
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1
				case "jae"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if infunc = 1 then : funcs += "jae 	labelE"+str(block_label(block_position))+!"\n"
					else : print #of,"jae 	labelE"+str(block_label(block_position))
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1
				case "jbe"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_JMP
					if infunc = 1 then : funcs += "jbe 	labelE"+str(block_label(block_position))+!"\n"
					else : print #of,"jbe 	labelE"+str(block_label(block_position))
					end if
					print #of,"labelA"+str(block_label(block_position))+":"
					block_position += 1

				case "do"
					block_label(block_position) = label : label += 1
					block_typ(block_position) = C_DO
					if infunc = 1 then : funcs += "labelA"+str(block_label(block_position))+!":\n"
					else : print #of,"labelA"+str(block_label(block_position))+":"
					end if
					block_position += 1
					continue do
				case "func"
					block_typ(block_position) = C_FUNC
					block_position += 1
					infunc = 1

					local varchar funcname
					funcname = mid(lin,1,instr(lin,"(")-1)
					funcname = trim(funcname,chr(&h20))
					funcs += funcname+!":\n"
					continue do
				case "call"
					if infunc = 1 then : funcs += "call	"+lin+!"\n"
					else : print #of,"call	"+lin
					end if
					continue do
				case ")"
					block_position -= 1
					select case as const block_typ(block_position)
						case C_JMP 
							if infunc = 1 then : funcs +=  "labelE"+str(block_label(block_position))+!":\n"
							else : print #of,"labelE"+str(block_label(block_position))+":"
							end if 
						case C_DO
							if lin = "" then
								if infunc = 1 then : funcs +=  "jmp 	labelA"+str(block_label(block_position))+!"\n"
								else : print #of,"jmp 	labelA"+str(block_label(block_position))
								end if 
							end if
						case C_FUNC
							infunc = 0
							funcs += !"ret\n"
					end select	
					if lin <> "" then
						lin = mid(lin,instr(lin,"jmp")+4)
						par = ""
						for i in(0,len(lin))
							if lin[i] = asc(",") or lin[i] = 0 then 
								par = trim(par,chr(&h20))
								select case par
									case "zf" 
										if infunc = 1 then : funcs += "jz 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jz 		labelA"+str(block_label(block_position))
										end if
									case "!zf"
										if infunc = 1 then : funcs += "jnz 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jnz 		labelA"+str(block_label(block_position))
										end if
									case "cf" 
										if infunc = 1 then : funcs += "jc 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jc 		labelA"+str(block_label(block_position))
										end if
									case "!cf"
										if infunc = 1 then : funcs += "jnc 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jnc 		labelA"+str(block_label(block_position))
										end if
									case "sf"
										if infunc = 1 then : funcs += "js 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"js 		labelA"+str(block_label(block_position))
										end if
									case "!sf"
										if infunc = 1 then : funcs += "jns 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jns 		labelA"+str(block_label(block_position))
										end if
									case "of"
										if infunc = 1 then : funcs += "jo		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jo 		labelA"+str(block_label(block_position))
										end if
									case "!of"
										if infunc = 1 then : funcs += "jno 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jno 		labelA"+str(block_label(block_position))
										end if
									case "pf"
										if infunc = 1 then : funcs += "jp 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jp 		labelA"+str(block_label(block_position))
										end if
									case "!pf"
										if infunc = 1 then : funcs += "jnp 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jnp 		labelA"+str(block_label(block_position))
										end if
									case "sf = of","sf=of"
										if infunc = 1 then : funcs += "jge 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jge 		labelA"+str(block_label(block_position))
										end if
									case "sf != of","sf!=of"
										if infunc = 1 then : funcs += "jl 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jl 		labelA"+str(block_label(block_position))
										end if
									case "rcx = 0","rcx=0","ecx = 0","ecx=0","cx = 0","cx = 0","rcx","ecx","cx"
										if infunc = 1 then : funcs += "jecxz 		labelA"+str(block_label(block_position))+!"\n"
										else : print #of,"jecxz 		labelA"+str(block_label(block_position))
										end if
									case else
										local varchar par1,par2,cmp
										for i2 in(0,len(par))
											select case as const par[i2]
												case &h3C to &h3E, &h21 : exit for
												case else : par1 += chr(par[i2])
											end select
										next
										par = mid(par,len(par1)+1) : par = trim(par,chr(&h9)) : par = trim(par,chr(&h20))
										for i2 in(0,len(par))
											select case as const par[i2]
												case &h3C to &h3E, &h21 : cmp += chr(par[i2])
												case else : exit for
											end select
										next
										par = mid(par,len(cmp)+1) : par = trim(par,chr(&h9)) : par = trim(par,chr(&h20))
										for i2 in(0,len(par))
											select case as const par[i2]
												case &h41 to &h5A, &h5F, &h61 to &h7A, &h30 to &h39 : par2 += chr(par[i2])
												case else : exit for
											end select
										next
										par1 = trim(par1,chr(&h20))
										par2 = trim(par2,chr(&h20))
										select case par2
											case "al","bl","cl","dl","ah","bh","ch","dh","sil","dil","bpl","spl",_
											"ax","bx","cx","dx","si","di","bp","sp",_
											"eax","ebx","ecx","edx","esi","edi","ebp","esp",_
											"rax","rbx","rcx","rdx","rsi","rdi","rbp","rsp","r8","r9","r10","r11","r12","r13","r14","r15" : par2 ="%"+par2
											case else : par2 = "$"+par2
										end select
										select case par1
											case "al","bl","cl","dl","ah","bh","ch","dh","sil","dil","bpl","spl"
												if infunc = 1 then : funcs += "cmpb	"+par2+", %"+par1+!"\n"
												else : print #of,"cmpb	"+par2+", %"+par1
												end if
											case "ax","bx","cx","dx","si","di","bp","sp"
												if infunc = 1 then : funcs += "cmpw	"+par2+", %"+par1+!"\n"
												else : print #of,"cmpw	"+par2+", %"+par1
												end if
											case "eax","ebx","ecx","edx","esi","edi","ebp","esp"
												if infunc = 1 then : funcs += "cmpl	"+par2+", %"+par1+!"\n"
												else : print #of,"cmpl	"+par2+", %"+par1
												end if
											case "rax","rbx","rcx","rdx","rsi","rdi","rbp","rsp","r8","r9","r10","r11","r12","r13","r14","r15"
												if infunc = 1 then : funcs += "cmpq	"+par2+", %"+par1+!"\n"
												else : print #of,"cmpq	"+par2+", %"+par1
												end if
										end select
										select case cmp
											case "="
												if infunc = 1 then : funcs += "je 		labelA"+str(block_label(block_position))+!"\n"
												else : print #of,"je 		labelA"+str(block_label(block_position))
												end if
											case "!="
												if infunc = 1 then : funcs += "jne 		labelA"+str(block_label(block_position))+!"\n"
												else : print #of,"jne 		labelA"+str(block_label(block_position))
												end if
											case ">"
												if infunc = 1 then : funcs += "ja 		labelA"+str(block_label(block_position))+!"\n"
												else : print #of,"ja 		labelA"+str(block_label(block_position))
												end if
											case "<"
												if infunc = 1 then : funcs += "jb 		labelA"+str(block_label(block_position))+!"\n"
												else : print #of,"jb 		labelA"+str(block_label(block_position))
												end if
											case ">="
												if infunc = 1 then : funcs += "jae 		labelA"+str(block_label(block_position))+!"\n"
												else : print #of,"jae 		labelA"+str(block_label(block_position))
												end if
											case "<="
												if infunc = 1 then : funcs += "jbe 		labelA"+str(block_label(block_position))+!"\n"
												else : print #of,"jbe 		labelA"+str(block_label(block_position))
												end if
										end select
								end select
								par = ""
								if lin[i] = 0 then exit for
							else
								par += chr(lin[i])
							end if
						next
						lin = ""
					end if		
					continue do	

				case "byte" : print #of,".byte "+lin : continue for
				case "word" : print #of,".word "+lin : continue for
				case "dword","long": print #of,".long "+lin : continue for
				case "qword","quad": print #of,".quad "+lin : continue for
				case "ascii" : print #of,".ascii "+lin : continue for
				case "string" : print #of,".string "+lin : continue for

				case "type"
					Struct(struct_i).name = mid(lin,1,instr(lin,"(")-1)
					Struct(struct_i).name = trim(Struct(struct_i).name,chr(&h20))
					local varchar lin2
					local uint32 anzahl = 1
					do
						line input #ff,lin2
						lin2 = mid(lin2,1,instr(lin2,";")-1)
						lin2 = trim(lin2,chr(&h9))
						lin2 = trim(lin2,chr(&h20))
						if instr(lin2,"(") then
							local varchar tmp = mid(lin2,instr(lin2,"(")+1)
							tmp = mid(tmp,1,instr(tmp,")")-1)
							anzahl=val(tmp)
							lin2 = mid(lin2,1,instr(lin2,"(")-1)
							lin2 = trim(lin2,chr(&h20))
						end if
						select case mid(lin2,1,instr(lin2,chr(&h20))-1)
							case "byte"
								print #of,".set 	"+mid(lin2,instr(lin2,chr(&h20))+1)+", "+str(Struct(struct_i).groesse)
								Struct(struct_i).groesse += 1*anzahl
							case "word"
								print #of,".set 	"+mid(lin2,instr(lin2,chr(&h20))+1)+", "+str(Struct(struct_i).groesse)
								Struct(struct_i).groesse += 2*anzahl
							case "dword","long"
								print #of,".set 	"+mid(lin2,instr(lin2,chr(&h20))+1)+", "+str(Struct(struct_i).groesse)
								Struct(struct_i).groesse += 4*anzahl
							case "qword","quad"
								print #of,".set 	"+mid(lin2,instr(lin2,chr(&h20))+1)+", "+str(Struct(struct_i).groesse)
								Struct(struct_i).groesse += 8*anzahl
						end select
						anzahl = 1
					loop until lin2 = ")"
					struct_i += 1
				case "global"
					local varchar typ, nam, wert, anzahl
					local uint8 array
					typ = mid(lin,1,instr(lin,chr(&h20))-1)
					nam = mid(lin,instr(lin,chr(&h20))+1)
					if instr(nam,"=") then
						wert = mid(nam,instr(nam,"=")+1)
						wert = trim(wert,chr(&h20))
						nam = mid(nam,1,instr(nam,"=")-1)
						nam = trim(nam,chr(&h20))
						if instr(nam,"(") = 0 then vars += nam+": "
					end if
					if instr(nam,"(") then	
						anzahl = mid(nam,instr(nam,"(")+1)
						anzahl = mid(anzahl,1,instr(anzahl,")")-1)
						nam = mid(nam,1,instr(nam,"(")-1)
						nam = trim(nam,chr(&h20))
						if wert <> "" then
							vars += nam+": "
							vars += ".rept " + anzahl + !"\n"
						end if
						array = 1
					end if
					if wert = "" then
						if instr(optionen,"h") then
							select case typ
								case "byte" : print #of,".comm "+nam+", "+str(1 * (val(anzahl)+1))
								case "word" : print #of,".comm "+nam+", "+str(2 * (val(anzahl)+1))
								case "dword","long" : print #of,".comm "+nam+", "+str(4 * (val(anzahl)+1))
								case "qword","quad" : print #of,".comm "+nam+", "+str(8 * (val(anzahl)+1))
								case else
									for i in(0,struct_i)
										if typ = Struct(i).name then
											print #of,".comm "+nam+", "+str(Struct(i).groesse * (val(anzahl)+1))
											exit for
										end if
									next
							end select
						else
							if instr(nam,"@") then
								wert = mid(nam,instr(nam,"@")+1)
								nam = mid(nam,1,instr(nam,"@")-1)
								nam = trim(nam,chr(&h20))
								print #of,".set " + nam + ", "+wert
							else
								print #of,".set " + nam + ", __bss+" + str(bss)
								select case typ
									case "byte" : bss += 1 * (val(anzahl)+1)
									case "word" : bss += 2 * (val(anzahl)+1)
									case "dword","long" : bss += 4 * (val(anzahl)+1)
									case "qword","quad" : bss += 8 * (val(anzahl)+1)
									case else
										for i in(0,struct_i)
											if typ = Struct(i).name then
												bss += (Struct(i).groesse * (val(anzahl)+1))
												exit for
											end if
										next
								end select
							end if
						end if
					else
						select case typ
							case "byte" : vars += ".byte "+wert+!"\n"
							case "word" : vars += ".word "+wert+!"\n"
							case "dword","long" : vars += ".long "+wert+!"\n"
							case "qword","quad" : vars += ".quad "+wert+!"\n"
							case "ascii" : vars += ".ascii "+wert+!"\n"
							case "string" : vars += ".string "+wert+!"\n"
						end select
						if array = 1 then vars += !".endr\n"
					end if
					continue do
				case "cpuid","rdmsr","wrmsr","hlt","nop","lodsb","lodsw","lodsd","lodsq","movsb","movsw","movsd","movsq",_
					"stosb","stosw","stosd","stosq","cmpsb","cmpsw","cmpsd","cmpsq","scasb","scasw","scasd","scasq","ret",_
					"lahf","sahf","leave","popa","pusha","popad","pushad","popf","popfd","popfq","pushf","pushfd","pushfq",_
					"rdtsc","rdtscp","syscall","sysenter","sysexit","sysret","ud","iret"
					if infunc = 1 then : funcs +=  ziel+!"\n"
					else : print #of,ziel
					end if
					continue for
				case "rep","repe","repne","repz","repnz"
					if infunc = 1 then : funcs +=  ziel + " "+lin+!"\n"
					else : print #of,ziel + " "+lin
					end if
					continue for
				case "in"
					ziel = mid(lin,1,instr(lin,",")-1)
					par = mid(lin,instr(lin,",")+1)
					par = trim(par,chr(&h20))

					select case par
						case "al","ax","eax" : par = "%"+par
						case "dx" : par = "%dx"
						case else : par = "$" + par
					end select
					select case ziel
						case "al","ax","eax" : ziel = "%"+ziel
						case "dx" : ziel = "%dx"
						case else : ziel = "$" + ziel
					end select

					if infunc = 1 then : funcs +=  "in 	"+ziel+", "+par+!"\n"
					else : print #of,"in 	"+ziel+", "+par
					end if
					continue for
				case "out"
					ziel = mid(lin,1,instr(lin,",")-1)
					par = mid(lin,instr(lin,",")+1)
					par = trim(par,chr(&h20))

					select case par
						case "al","ax","eax" : par = "%"+par
						case "dx" : par = "%dx"
						case else : par = "$" + par
					end select
					select case ziel
						case "al","ax","eax" : ziel = "%"+ziel
						case "dx" : ziel = "%dx"
						case else : ziel = "$" + ziel
					end select

					if infunc = 1 then : funcs +=  "out 	"+ziel+", "+par+!"\n"
					else : print #of,"out 	"+ziel+", "+par
					end if
					continue for
				case "push","pop","lgdt","lidt","lldt","int",_
				"lzcnt","lmsw","smsw","ltr","str","rdrand","rdseed","sgdt","sidt","sldt","stmxscr","ldmxcsr","tzcnt" : befehl = ziel : ziel = ""
				case else 
					select case lin
						case ":" 
							if infunc = 1 then : funcs +=  ziel+!":\n"
							else : print #of,ziel+":"
							end if
							continue do
						case "#16bit"
							if infunc = 1 then : funcs +=  !".code16\n"
							else : print #of,".code16"
							end if
							mode = 16
							continue do
						case "#32bit"
							if infunc = 1 then : funcs +=  !".code32\n"
							else : print #of,".code32"
							end if
							mode = 32
							continue do
						case "#64bit"
							if infunc = 1 then : funcs +=  !".code64\n"
							else : print #of,".code64"
							end if
							mode = 64
							continue do
						case else 
							ziel = ""
					end select
			end select
		next

		if ziel <> "" then continue do

		for i in(0,ziel_i)
			select case ziel_reg(i)
				case "al","bl","cl","dl","ah","bh","ch","dh","sil","dil","bpl","spl","r8b","r9b","r10b","r11b","r12b","r13b","r14b","r15b" : ziel = "%"+ziel_reg(i) : groesse = asc("b")
				case "ax","bx","cx","dx","si","di","bp","sp","r8w","r9w","r10w","r11w","r12w","r13w","r14w","r15w","cs","ds","ss","es","fs","gs" 
					if mode = 16 then
						if ziel_reg(i-1) = ":" then
							ziel += "(%"+ziel_reg(i)+")"
							exit for
						else
							ziel += "%"+ziel_reg(i)
							if groesse = 0 then groesse = asc("w")
						end if
					else
						ziel = "%"+ziel_reg(i) : groesse = asc("w")
					end if
				case "eax","ebx","ecx","edx","esi","edi","ebp","esp","r8d","r9d","r10d","r11d","r12d","r13d","r14d","r15d" 
					if mode = 32 then
						ziel += "%"+ziel_reg(i)
						if groesse = 0 then groesse = asc("l")
					else
						ziel = "%"+ziel_reg(i) : groesse = asc("l")
					end if
				case "rax","rbx","rcx","rdx","rsi","rdi","rbp","rsp","r8","r9","r10","r11","r12","r13","r14","r15" 
					ziel += "%"+ziel_reg(i)
					if groesse = 0 then groesse = asc("q")
				case "cr0","cr1","cr2","cr3","cr4","cr8","dr0","dr1","dr2","dr3","dr6","dr7" : ziel += "%"+ziel_reg(i)
				case "byte" : groesse = asc("b")
				case "word" : groesse = asc("w")
				case "dword","long" : groesse = asc("l")
				case "qword","quad" : groesse = asc("q")
				case ":"
					ziel += ":"
					if ziel[0] = asc("(") then ziel = mid(ziel,2)
				case "+" 
					select case as const mode
						case 64
							if instr("raxrbxrcxrdxrsirdirbprsp",ziel_reg(i+1)) then 
								ziel += ","
							else
								ziel = ziel_reg(i+1)+ziel+")" : exit for
							end if
						case 32
							if instr("eaxebxecxedxesiediebpesp",ziel_reg(i+1)) then 
								ziel += ","
							else
								ziel = ziel_reg(i+1)+ziel+")" : exit for
							end if
						case 16
							if instr("sidi",ziel_reg(i+1)) then 
								ziel += ","
							else
								ziel = ziel_reg(i+1)+ziel+")" : exit for
							end if
					end select
				case "*"
					ziel += ","+ziel_reg(i+1)
					exit for
				case "(" : ziel += "("
				case chr(0) : continue for
				case else
					if asc(ziel_reg(i)) = 0 then continue for
					if ziel_reg(i-1) = ":" then
						ziel += ziel_reg(i)
						exit for
					end if
					ziel = ziel_reg(i) 
					if ziel_reg(i+1) = "+" then
						if instr("raxrbxrcxrdxrsirdirbprspeaxebxecxedxesiediebpespsidibpbx",ziel_reg(i+2)) then
							if ziel_reg(i+3) = "*" then
								ziel += "(,%" + ziel_reg(i+2)+","+ziel_reg(i+4)+")"
							else
								ziel += "(%" + ziel_reg(i+2)+")"
							end if
						else
							ziel += "+" + ziel_reg(i+2)
						end if
					end if
					exit for
			end select
		next
		if ziel[0] = asc("(") then ziel += ")"

		select case lin
			case "--" 
				if infunc = 1 then
					funcs += "dec"+chr(groesse)+"	"+ziel+!"\n"
				else
					print #of,"dec"+chr(groesse)+"	"+ziel
				end if
				continue do
			case "++"
				if infunc = 1 then
					funcs += "inc"+chr(groesse)+"	"+ziel+!"\n"
				else
					print #of,"inc"+chr(groesse)+"	"+ziel
				end if
				continue do
			case "!","~" 
				if infunc = 1 then
					funcs += "not"+chr(groesse)+"	"+ziel+!"\n"
				else
					print #of,"not"+chr(groesse)+"	"+ziel
				end if
				continue do
		end select

		do
			local varchar par_reg(6)
			local uint8 par_i
			par = ""

			if befehl = "" then
				local uint8 befehl_typ
				for i in(0,len(lin))
					select case as const lin[i]
						case &h61 to &h7A
							if befehl_typ = 2 then exit for
							befehl += chr(lin[i])
							befehl_typ = 1
						case &h23,&h24,&h25,&h26,&h2A,&h2B,&h2D,&h2F,&h3A,&h3C to &h40,&h5C,&h5E,&h7C,&h7E,&h2E
							if befehl_typ = 1 then exit for
							befehl += chr(lin[i])
							befehl_typ = 2
						case &h21
							befehl += chr(lin[i])
						case else
							exit for
					end select
				next
				lin = mid(lin,len(befehl)+1) : lin = trim(lin,chr(&h20))
			end if

			select case befehl
				case "=" : befehl = "mov"
				case "+" : befehl = "add"
				case "-" : befehl = "sub"
				case "&" : befehl = "and"
				case "|" : befehl = "or"
				case "^" : befehl = "xor"
				case "?" : befehl = "cmp"
				case "<<" : befehl = "shl"
				case ">>" : befehl = "shr"
				case "<%" : befehl = "rol"
				case "%>" : befehl = "ror"
				case "*" : befehl = "imul"
				case "/" : befehl = "idiv"
				case "<--" : befehl = "movsx"
				case "<<-" : befehl = "movzx"
				case "<>" : befehl = "xchg"
				case "==" : befehl = "cmove"
				case "!=" : befehl = "cmovne"
				case ">" : befehl = "cmova"
				case "<" : befehl = "cmovb"
				case ">=" : befehl = "cmovae"
				case "<=" : befehl = "cmovbe"
				case "zf" : befehl = "cmovz"
				case "!zf" : befehl = "cmovnz"
				case "cf" : befehl = "cmovc"
				case "!cf" : befehl = "cmovnc"
				case "of" : befehl = "cmovo"
				case "!of" : befehl = "cmovno"
				case "sf" : befehl = "cmovs"
				case "!sf" : befehl = "cmovns"
				case "->" : befehl = "2mov"
			end select

			inklammer = 0
			for i in(0,len(lin))
				select case as const lin[i]
					case 34
						par_reg(par_i) += chr(lin[i])
						if inklammer = 3 then lin = mid(lin,2) : exit for
						inklammer = 3
					case &h41 to &h5A, &h5F, &h61 to &h7A, &h30 to &h39,&h24
						par_reg(par_i) += chr(lin[i])
					case &h28 
						if inklammer = 3 then 
							par_reg(par_i) += chr(lin[i])
						else
							par_i += 2
							par_reg(par_i-1) += chr(lin[i])
							inklammer = 1
						end if
					case &h3A
						if inklammer = 3 then 
							par_reg(par_i) += chr(lin[i])
						else
							par_i += 2
							par_reg(par_i-1) += chr(lin[i])
						end if
					case &h29
						if inklammer = 3 then 
							par_reg(par_i) += chr(lin[i])
						else
							inklammer = 0
						end if
					case else
						if inklammer = 3 then 
							par_reg(par_i) += chr(lin[i])
						else
							if inklammer = 1 then
								par_i += 2
								par_reg(par_i-1) += chr(lin[i])
							else
								exit for
							end if
						end if
					end select
				par += chr(lin[i])
			next
			lin = mid(lin,len(par)+1) : lin = trim(lin,chr(&h20)) : par = ""

			for i in(0,par_i)
				select case par_reg(i)
					case "al","bl","cl","dl","ah","bh","ch","dh","sil","dil","bpl","spl","r8b","r9b","r10b","r11b","r12b","r13b","r14b","r15b" : par = "%"+par_reg(i) : if groesse = 0 then groesse = asc("b")
					case "ax","bx","cx","dx","si","di","bp","sp","r8w","r9w","r10w","r11w","r12w","r13w","r14w","r15w","cs","ds","ss","es","fs","gs" 
						if mode = 16 then
							if par_reg(i-1) = ":" then
								par += "(%"+par_reg(i)+")"
								exit for
							else
								par += "%"+par_reg(i)
								if groesse = 0 then groesse = asc("w")
							end if
						else
							par = "%"+par_reg(i) : if groesse = 0 then groesse = asc("w")
						end if
					case "eax","ebx","ecx","edx","esi","edi","ebp","esp","r8d","r9d","r10d","r11d","r12d","r13d","r14d","r15d" 
						if mode = 32 then
							par += "%"+par_reg(i)
							if groesse = 0 then groesse = asc("l")
						else
							par = "%"+par_reg(i) : if groesse = 0 then groesse = asc("l")
						end if
					case "rax","rbx","rcx","rdx","rsi","rdi","rbp","rsp","r8","r9","r10","r11","r12","r13","r14","r15" 
						par += "%"+par_reg(i)
						if groesse = 0 then groesse = asc("q")
					case "cr0","cr1","cr2","cr3","cr4","cr8","dr0","dr1","dr2","dr3","dr6","dr7" : par += "%"+par_reg(i)
					case ":"
						par += ":"
						if par[0] = asc("(") then par = mid(par,2)
					case "+" 
						select case as const mode
							case 64
								if instr("raxrbxrcxrdxrsirdirbprsp",par_reg(i+1)) then 
									par += ","
								else
									par = par_reg(i+1)+par+")" : exit for
								end if
							case 32
								if instr("eaxebxecxedxesiediebpesp",par_reg(i+1)) then 
									par += ","
								else
									par = par_reg(i+1)+par+")" : exit for
								end if
							case 16
								if instr("sidi",par_reg(i+1)) then 
									par += ","
								else
									par = par_reg(i+1)+par+")" : exit for
								end if
						end select
					case "*"
						par += ","+par_reg(i+1)
						exit for
					case "(" : par += "("
					case chr(0) : continue for
				 	case "$length" : par += "__endaa"
					case "$data" : par += "__dataaa"
					case "$bss" : par += "__bss"
					case "$func" : par += "__funcaa"
					case else
						if asc(par_reg(i)) = 0 then continue for
						if par_reg(i)[0] = 34 then
							par = "$0x"
							for i2 in(len(par_reg(i))-2,1) step -1
								select case as const par_reg(i)[i2]
									case asc("n")
										if par_reg(i)[i2-1] = asc("\") then
											par += "0A" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("a")
										if par_reg(i)[i2-1] = asc("\") then
											par += "07" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("b")
										if par_reg(i)[i2-1] = asc("\") then
											par += "08" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("f")
										if par_reg(i)[i2-1] = asc("\") then
											par += "0C" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("r")
										if par_reg(i)[i2-1] = asc("\") then
											par += "0D" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if	
									case asc("t")
										if par_reg(i)[i2-1] = asc("\") then
											par += "09" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("v")
										if par_reg(i)[i2-1] = asc("\") then
											par += "0B" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("\")
										if par_reg(i)[i2-1] = asc("\") then
											par += "5C" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("'")
										if par_reg(i)[i2-1] = asc("\") then
											par += "27" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case 34
										if par_reg(i)[i2-1] = asc("\") then
											par += "34" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case asc("?")
										if par_reg(i)[i2-1] = asc("\") then
											par += "3F" : i2 -= 1 : continue for
										else
											par += hex(par_reg(i)[i2],2) 
										end if
									case else : par += hex(par_reg(i)[i2],2) 
								end select
							next
							exit for
						end if
						if par_reg(i-1) = ":" then
							par += par_reg(i)
							exit for
						end if
						par = par_reg(i) 
						if par_reg(i+1) = "+" then
							if instr("raxrbxrcxrdxrsirdirbprspeaxebxecxedxesiediebpespsidibpbx",par_reg(i+2)) then
								if par_reg(i+3) = "*" then
									par += "(,%" + par_reg(i+2)+","+par_reg(i+4)+")"
								else
									par += "(%" + par_reg(i+2)+")"
								end if
							else
								par += "+" + par_reg(i+2)
							end if
						end if
						if par_reg(1) <> "(" then par = "$"+par
						exit for
				end select
			next
			if par[0] = asc("(") then par += ")"

			if groesse = 0 then groesse = asc("q")
			befehl += chr(groesse)

			if par = "$1" then
				select case befehl
					case "cmoveb" : befehl = "seteb"
					case "cmovneb" : befehl = "setneb"
					case "cmovab" : befehl = "setab"
					case "cmovaeb" : befehl = "setaeb"
					case "cmovbb" : befehl = "setbb"
					case "cmovbeb" : befehl = "setbeb"
					case "cmovzb" : befehl = "setzb"
					case "cmovnzb" : befehl = "setnzb"
					case "cmovcb" : befehl = "setcb"
					case "cmovncb" : befehl = "setncb"
					case "cmovob" : befehl = "setob"
					case "cmovnob" : befehl = "setnob"
					case "cmovsb" : befehl = "setsb"
					case "cmovnsb" : befehl = "setnsb"
					case "cmovl" : befehl = "setlb"
					case "cmovleb" : befehl = "setleb"
					case "cmovgb" : befehl = "setgb"
					case "cmovgeb" : befehl = "setgeb"
				end select
			elseif par = "$0" then
				select case befehl
					case "cmoveb" : befehl = "setneb"
					case "cmovneb" : befehl = "seteb"
					case "cmovab" : befehl = "setbeb"
					case "cmovaeb" : befehl = "setbb"
					case "cmovbb" : befehl = "setaeb"
					case "cmovbeb" : befehl = "setab"
					case "cmovzb" : befehl = "setnzb"
					case "cmovnzb" : befehl = "setzb"
					case "cmovcb" : befehl = "setncb"
					case "cmovncb" : befehl = "setcb"
					case "cmovob" : befehl = "setnob"
					case "cmovnob" : befehl = "setob"
					case "cmovsb" : befehl = "setnsb"
					case "cmovnsb" : befehl = "setsb"
					case "cmovl" : befehl = "setgeb"
					case "cmovleb" : befehl = "setgb"
					case "cmovgb" : befehl = "setleb"
					case "cmovgeb" : befehl = "setlb"
				end select
			end if

			if instr(befehl,"push") or instr(befehl,"pop") or instr(befehl,"not") or instr(befehl,"lgdt") or instr(befehl,"lidt")_
			   or instr(befehl,"lldt") or instr(befehl,"lzcnt") or instr(befehl,"lmsw") or instr(befehl,"smsw") or instr(befehl,"ltr")_
			   or instr(befehl,"str") or instr(befehl,"rdrand") or instr(befehl,"rdseed") or instr(befehl,"sgdt") or instr(befehl,"sidt")_
			   or instr(befehl,"sldt") or instr(befehl,"stmxscr") or instr(befehl,"ldmxcsr") or instr(befehl,"tzcnt") then 
				if infunc = 1 then 
					funcs += befehl+"	"+par+!"\n"
				else
					print #of,befehl+"	"+par
				end if
			elseif instr(befehl,"int") then
				if infunc = 1 then 
					funcs += "int		"+par+!"\n"
				else
					print #of,"int 		"+par
				end if
			elseif instr(befehl,"seteb") or instr(befehl,"setneb") or instr(befehl,"setab") or instr(befehl,"setbb")_
				 or instr(befehl,"setaeb") or instr(befehl,"setbeb") or instr(befehl,"setzb") or instr(befehl,"setnzb")_
				 or instr(befehl,"setcb") or instr(befehl,"setncb") or instr(befehl,"setsb") or instr(befehl,"setnsb")_
				 or instr(befehl,"setob") or instr(befehl,"setnob") then
				 if infunc = 1 then 
					funcs += befehl+"	"+ziel+!"\n"
				else
					print #of,befehl+"	"+ziel
				end if
			elseif instr(befehl,"2mov") then
				if infunc = 1 then 
					funcs += mid(befehl,2)+"	"+ziel+", "+par+!"\n"
				else
					print #of,mid(befehl,2)+"	"+ziel+", "+par
				end if
			else
				if infunc = 1 then 
					funcs += befehl+"	"+par+", "+ziel+!"\n"
				else
					print #of,befehl+"	"+par+", "+ziel
				end if
			end if

			befehl = ""
		loop until len(lin) = 0
	end if
loop until eof(ff)

if instr(optionen,"h") then
	print #of, !"movq	%rax, %rdi\nmovq	$60, %rax\nsyscall\n"
end if
print #of,"__funcaa:"
print #of,funcs
print #of,"__dataaa:"
print #of,label_vars
print #of,vars
print #of,"__bss:"
print #of,"__endaa:"
close #of
close #ff

kill "tmp_.asm"
kill "tmp__.asm"

if instr(optionen,"a") = 0 then
	shell "as tmp_.s -o tmp_.o"
	if instr(optionen,"l") = 0 then
		if instr(optionen,"h") then
			shell "ld tmp_.o -o "+mid(datei,1,instrrev(datei,".")-1)
		else
			shell "ld -Ttext="+org+" --oformat binary tmp_.o -o "+mid(datei,1,instrrev(datei,".")-1)
		end if
		kill "tmp_.o"	
	end if
	kill "tmp_.s"	
end if